# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
BuildRequires: libXrandr-devel
Name:           GREYCstoration
Version:        2.8
Release:        alt1_15
Summary:        An image denoising and interpolation tool
Group:          Graphics
License:        CeCILL
URL:            http://www.greyc.ensicaen.fr/~dtschump/greycstoration/index.html
Source0:        http://downloads.sourceforge.net/cimg/%{name}-%{version}.zip
Source1:        %{name}.png
Patch0:         GREYCstoration-2.8-fixmakefile.patch
Patch1:         GREYCstoration-2.8-libpng15.patch
BuildRequires:  libgimp-devel gimp
BuildRequires:  desktop-file-utils
BuildRequires:  libpng-devel libjpeg-devel libtiffxx-devel libtiff-devel libfftw3-devel
Source44: import.info

%description
GREYCstoration is an image regularization algorithm which is able to process
a color image by locally removing small variations of pixel intensities while
preserving significant global image features, such as edges and corners. The
most direct application of image regularization is image denoising. By
extension, it can also be used to inpaint or resize images.


%package gimp
Summary:        GREYCstoration image denoising and interpolation plugin for gimp
Group:          Graphics
Requires:       gimp %{name}


%description gimp
GREYCstoration is an image regularization algorithm which is able to process
a color image by locally removing small variations of pixel intensities while
preserving significant global image features, such as edges and corners. The
most direct application of image regularization is image denoising. By
extension, it can also be used to inpaint or resize images.

This package contains the GREYCstoration plugin for gimp.


%package gui
Summary:        GREYCstoration image denoising and interpolation tool
Group:          Graphics
Requires:       %{name} icon-theme-hicolor tcl tk


%description gui
GREYCstoration is an image regularization algorithm which is able to process
a color image by locally removing small variations of pixel intensities while
preserving significant global image features, such as edges and corners. The
most direct application of image regularization is image denoising. By
extension, it can also be used to inpaint or resize images.

This package contains the GREYCstoration GUI.


%prep
%setup -q
%patch0 -p1 -b .fixmakefile
%patch1 -p1 -b .libpng15
# Include path for CImg.h is wrong, fix it.
sed -i -r "s|#include \"../CImg.h\"|#include \"CImg.h\"|" src/greycstoration*.cpp
iconv -f iso-8859-1 -t utf-8 Licence_CeCILL_V2-en.txt > Licence_CeCILL_V2-en.txt.conv
mv Licence_CeCILL_V2-en.txt.conv Licence_CeCILL_V2-en.txt
# Fix lib path on lib64 systems
%ifarch ppc64 x86_64
  sed -ir "s|/lib|/lib64|" src/Makefile
%endif


%build
make -C src %{?_smp_mflags} CFLAGS="%{optflags} -fno-tree-pre" all

# Build desktop icon
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=GREYCstoration
GenericName=(Image noise tool)
Comment=%{summary}
Exec=%{_bindir}/%{name}_gui.tcl
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Graphics;2DGraphics;RasterGraphics;
EOF


%install

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/gimp/2.0/plug-ins/
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/96x96/apps
install -m0755 src/greycstoration %{buildroot}%{_bindir}/
install -m0755 src/greycstoration4integration %{buildroot}%{_bindir}/
install -m0755 src/greycstoration4gimp %{buildroot}%{_libdir}/gimp/2.0/plug-ins/
install -m0755 GREYCstoration_gui.tcl %{buildroot}%{_bindir}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/96x96/apps
desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
        %{name}.desktop

%files
%doc README.txt
%doc Licence_CeCILL_V2-en.txt
%{_bindir}/greycstoration
%{_bindir}/greycstoration4integration

%files gimp
%{_libdir}/gimp/2.0/plug-ins/greycstoration4gimp

%files gui
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%{_bindir}/%{name}_gui.tcl

%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 2.8-alt1_15
- update to new release by fcimport

* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.8-alt1_14
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.8-alt1_13
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.8-alt1_12
- initial fc import

